#{extends 'border.html'/}
<div class="container-fluid">

    <div class="row">
        <div class="col-md-12">
            <!-- Breadcrumb -->
            <ol class="breadcrumb">
                <li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
                <li>
                    <a href="@{admin.UsulanCtr.detailPengumuman(produk_id)}">&{'pengumuman.label'} ${usulan?.judul_pengumuman == null ? usulan?.nama_usulan : usulan?.judul_pengumuman}</a>
                </li>
                <li class="active">&{'aanwijzing.label'}</li>
            </ol>
            <!-- End Breadcrumb -->
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">
            <!-- Toolbar -->
            <div class="toolbar">
            #{backButton action:@admin.UsulanCtr.detailPengumuman(produk_id) /}
                <a class="btn btn-danger btn-md" data-toggle="modal" data-target="#myModal">
                    <i class="fa fa-plus-circle"></i> &{'ajukan.label'} &{'pertanyaan.label'}
                </a>
            #{if !aanwijzingQuestion.isEmpty() && (aktifUser.isAdmin() || aktifUser.isPokja())}
                <a class="btn btn-primary btn-md" href="@{admin.UsulanCtr.cetakPdfAanwijzing(produk_id)}">
                    <i class="fa fa-print"></i> &{'export_pdf.label'}
                </a>
            #{/if}
            </div>
            <!-- End Toolbar -->
        #{alert /}
        </div>
    </div>

    <div class="row aanwijzing">
        <div class="col-md-3 col-xs-12 left">

            <div class="input-group searchbar-form wrapper-search hidden-mobile">
                <input type="text" id="search-bar-child" name="search" value="#{if search!=null}${search}#{/if}" class="form-control search-icon ui-autocomplete-input" placeholder="Cari Pertanyaan" autocomplete="off">
                <span class="input-group-addon icon-search">
                    <button type="button" id="button-search-bar-child"><i class="fa fa-search"></i></button>
                </span>
            </div>
            <div class="title mart-1rem">
                    &{'pertanyaan_terbaru.label'}
            </div>
                #{if aanwijzingLatest.isEmpty()}
                    <div class="none-text-sidebar">
                    &{'pertanyaan_terbaru_belum_ada.label'}
                    </div>
                #{/if}
            #{list aanwijzingLatest, as: 'al'}
                <div class="card-custom mart-1rem">
                    <div class="item">
                        <div class="date">${al?.getCreatedDate()}</div>
                        <div class="desc">
                        ${ al?.cleanAndAbbreviateQuestion().replaceAll("\\<.*?\\>", "").length() > 110 ?
                        al?.cleanAndAbbreviateQuestion().replaceAll("\\<.*?\\>", "").substring(0,100) + " ..." : al?.cleanAndAbbreviateQuestion().raw()}

                        </div>
                    </div>
                </div>
            #{/list}
        </div>
        <div class="col-md-9 col-xs-12 mart-1rem-m">
            <div class="row card-custom">
                <div class="col-md-12">
                    #{if aanwijzingQuestion.isEmpty() && search == null }
                        <div class="title-big marl-1rem-m">
                            &{'pertanyaan_belum_ada.label'} ${size}
                        </div>
                   #{/if}
                    #{if aanwijzingQuestion.isEmpty() && search != null }
                        <div class="title-big marl-1rem-m text-center">
                            <img class="none-image" src="@{ 'public/images/none.svg' }" alt="">
                            <div class="none-text">&{'pertanyaan_tidak_ditemukan.label'}</div>
                        </div>
                    #{/if}
                    #{if !aanwijzingQuestion.isEmpty()}
                        <div class="title-big marl-1rem-m">
                            &{'pertanyaan_list'}
                        </div>
                    #{/if}
                    #{list aanwijzingQuestion, as: 'aq'}
                        <div class="row">
                            <div class="col-md-1 label-jml">
                                <span class="label label-danger rad-5">${aq_index}</span>
                            </div>
                            <div class="col-md-8">
                                <a href="@{admin.UsulanCtr.aanwijzingDetail()}?produk_id=${aq?.produk_id}&id=${aq?.id}"
                                   class="title">${aq?.judul_pertanyaan}</a>
                                <div class="small-text">
                                    &{'ditanyakan_oleh.label'} <span class="color-red">${aq?.createdBy(aq?.created_by)}</span>
                                    &{'pada_tanggal.label'} ${aq?.getCreatedDateAndTime()}
                                </div>
                                <div class="desc">
                                ${aq?.cleanAndAbbreviateQuestion()}
                                </div>
                                <div class="descImage">
                                    #{if aq?.doc_question != null}
                                        #{if aq?.getFileExtension() == ".png" || aq?.getFileExtension() == ".jpg" || aq?.getFileExtension() == ".jpeg"}
                                            <div id="lightgallery${aq_index}">
                                                <a href="${aq?.getFileUrl()}">
                                                    <img src="${aq?.getFileUrl()}" width="25%">
                                                </a>
                                            </div>
                                        #{/if}
                                        #{else}
                                            <a href="${aq?.getFileUrl()}" target="_blank">&{'aanwijzing_download_berkas.label'}</a>
                                        #{/else}
                                    #{/if}
                                </div>
                            </div>
                            <div class="col-md-3 action text-right">
            *{              <div class="wrapper-action">
                               #{deleteButton action:@admin.UsulanCtr.deleteQuestion(aq?.id,aq?.produk_id) /}
                                   <a href="#" class="btn btn-warning btn-md btn_edit_modal" produk_id="${aq?.produk_id}"
                                       judul_pertanyaan="${aq?.judul_pertanyaan}" pertanyaan="${aq?.pertanyaan}" id="${aq?.id}">
                                        <i class="fa fa-pencil"></i> Edit
                                    </a>
                                </div>}*
                                <span class="align-text-bottom bottom-text green-text">${aq?.countJawaban(aq?.produk_id, aq?.id)} &{'jawaban.label'}</span>
                            </div>
                            <div class="col-md-12">
                                <hr>
                            </div>
                        </div>
                    #{/list}
                    #{pagination p/}
                </div>
            </div>
        </div>
    </div>

    <!-- Modal -->

    <div class="modal fade modal-aan" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
        <div class="modal-dialog modal-lg" role="document">
        #{form @admin.UsulanCtr.createQuestion(), method:'POST', id:'ajukan_pertanyaan', class:'ajukan_pertanyaan', enctype:'multipart/form-data'}
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span
                            aria-hidden="true">&times;</span></button>
                    <div class="modal-title" id="myModalLabel">&{'tambah.label'} &{'pertanyaan.label'}</div>
                </div>
                <div class="modal-body">
                    <div class="form-group">
                        <input type="hidden" id="produk_id" name="produk_id" class="form-control" value="${produk_id}">
                    </div>
                    <div class="form-group">
                    &{'judul_pertanyaan.label'}
                        <input type="text" class="form-control" placeholder="&{'tulis_pertanyaan.label'}"
                               id="judul_pertanyaan" name="judul_pertanyaan" required>
                    </div>
                    <div class="form-group">
                    &{'deskripsi_pertanyaan.label'}
                        <textarea id="pertanyaan" name="pertanyaan" class="form-control" rows="3"
                                  placeholder="&{'tulis_deskripsi_pertanyaan.label'}" required></textarea>
                    </div>
                    <div class="form-group">
                        <div class="col-md-3">&{'lampiran_pertanyaan.label'}</div>
                        <div class="col-md-9 custom-fileupload">
                        <input id="file" type="file" accept=".doc,.docx,.pdf,.jpg,.jpeg,.png" name="file">
                        <label class="control-label">&{'dokumen.label'} .DOC, .DOCX, .PDF, .JPG, .JPEG, .PNG</label>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default btn-md" data-dismiss="modal">
                        <i class="fa fa-close"></i> &{'batal.label'}</button>
                    <button type="button" class="btn btn-danger btn_ajukan_pertanyaan" id="btn_ajukan_pertanyaan">
                        <i class="fa fa-save"></i> &{'simpan.label'}</button>
                </div>
            </div>
        #{/form}
        </div>
    </div>

    <!-- Modal -->

    <div class="modal fade modal-aan" id="editModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
        <div class="modal-dialog" role="document">
        #{form @admin.UsulanCtr.editQuestion(), method:'POST', id:'edit_pertanyaan', class:'edit_pertanyaan'}
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                    <div class="modal-title" id="myModalLabel">&{'ubah.label'} &{'pertanyaan.label'}</div>
                </div>
                <div class="modal-body">
                    <div class="form-group">
                        <input type="hidden" id="editid" name="editid" class="form-control">
                    </div>
                    <div class="form-group">
                        <input type="hidden" id="editproduk_id" name="editproduk_id" class="form-control">
                    </div>
                    <div class="form-group">
                        <input type="text" class="form-control" placeholder="&{'tulis_pertanyaan.label'}"
                               id="editjudul_pertanyaan" name="editjudul_pertanyaan" required>
                    </div>
                    <div class="form-group">
                        <textarea id="editpertanyaan" name="editpertanyaan" class="form-control" rows="3"
                                  placeholder="&{'tulis_deskripsi_pertanyaan.label'}" required></textarea>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default btn-md" data-dismiss="modal"><i
                            class="fa fa-close"></i> &{'batal.label'}</button>
                    <button type="button" class="btn btn-danger btn-md btn_edit_pertanyaan"><i class="fa fa-save"></i> &{'simpan.label'}
                    </button>
                </div>
            </div>
        #{/form}
        </div>
    </div>
    <div class="btn-footer">
        <div class="row">
            <div class="col-xs-12">
                <a href="#" onclick="showSidebar()"><span class="span-hide">Hide </span>Filter</a>
            </div>
        </div>
    </div>
    <div class="faq" id="mobile-sidebar">
        <div class="mobile-navigation-bar">
            <a href="#" onclick="closeSidebar()">
                <i class="fa fa-arrow-circle-left"></i> &{'aanwijzing.label'}
            </a>
        </div>
        <div class="container-fluid">
            <div class="row">
                <div class="input-group searchbar-form wrapper-search mart-2rem">
                    <input type="text" id="search-bar-child" name="search" value="#{if search!=null}${search}#{/if}" class="form-control search-icon ui-autocomplete-input" placeholder="Cari Pertanyaan" autocomplete="off">
                    <span class="input-group-addon icon-search">
                        <button type="button" id="button-search-bar-child"><i class="fa fa-search"></i></button>
                    </span>
                </div>
                <button class="btn btn-block btn-primary btn-red mart-2rem" type="button" id="submitBtn">&{'cari.label'}</button>
            </div>
        </div>
    </div>
</div>
#{set 'moreStyles'}
<style>.aanwijzing .action .green-text { font-size:11px !important;}</style>
#{/set}
#{set 'moreScripts'}
<script type="text/javascript" src="@{'public/javascripts/jquery.validate.min.js'}"></script>
<script type="text/javascript">
    $(document).ready(function () {
        var getUrlParameter = function getUrlParameter(sParam) {
            var sPageURL = window.location.search.substring(1),
                    sURLVariables = sPageURL.split('&'),
                    sParameterName,
                    i;

            for (i = 0; i < sURLVariables.length; i++) {
                sParameterName = sURLVariables[i].split('=');

                if (sParameterName[0] === sParam) {
                    return sParameterName[1] === undefined ? true : decodeURIComponent(sParameterName[1]);
                }
            }
        };

        function searchBar(searchText) {
            var search = $(searchText).val();
            var searchUrl = getUrlParameter("search");
            var url;
            if (searchUrl == null) {
                url = document.location.href + "&search=" + search;
            } else {
                url = document.location.href.slice(0, document.location.href.lastIndexOf('&')) + "&search=" + search;
            }
            document.location = url;
        }

        $('.hidden-mobile #search-bar-child').bind("enterKey",function(e){
            searchBar(".hidden-mobile #search-bar-child");
        });
        $('#mobile-sidebar #search-bar-child').bind("enterKey",function(e){
            searchBar("#mobile-sidebar #search-bar-child");
        });

        $('.hidden-mobile #search-bar-child, #mobile-sidebar #search-bar-child').keyup(function(e){
            if(e.keyCode == 13)
            {
                $(this).trigger("enterKey");
            }
        });

        $('.hidden-mobile #button-search-bar-child').on("click",function(e){
            searchBar(".hidden-mobile #search-bar-child");
        });
        $('#mobile-sidebar #button-search-bar-child, #submitBtn').on("click",function(e){
            searchBar("#mobile-sidebar #search-bar-child");
        });
        CKEDITOR.replace( 'pertanyaan' );
        $('.ajukan_pertanyaan').validate({
           // ignore: '.note-editor *',
            ignore: [],
            rules: {
                'judul_pertanyaan': 'required',
                'pertanyaan':{
                    required: function()
                    {
                        CKEDITOR.instances.pertanyaan.updateElement();
                    },
                    minlength:1
                },
            },
            messages: {
                'judul_pertanyaan': '${play.i18n.Messages.get('judul_pertanyaan_belum_diisi.label')}',
                'pertanyaan': '${play.i18n.Messages.get('pertanyaan_belum_diisi.label')}'
            },
            errorElement: 'span',
            errorClass: 'help-block',
            focusInvalid: false,
            highlight: function (element) {
                $(element).closest('.form-group').addClass('has-error');
            },
            success: function (label) {
                label.closest('.form-group').removeClass('has-error');
                label.remove();
            },
        });

        $('#file').on("change", function (e){
            e.preventDefault();
            var file_size = $('#file')[0].files[0].size;
            var max_size = "1 MB";
            if (file_size >= 1048576) {
                alert("${play.i18n.Messages.get('ukuran_file_upload_image.label')} "+max_size);
                $('#file').val('');
                return;
            } else {
                $(this).valid();
            }
        });
        #{list aanwijzingQuestion, as: 'aq'}
            #{if aq?.doc_question != null}
                lightGallery(document.getElementById('lightgallery${aq_index}'));
            #{/if}
        #{/list}
        $('input[name="file"]').fileuploader({
            limit: 20,
            maxSize: 50,

            addMore: true
        });
        $('.btn_ajukan_pertanyaan').click(function (e) {
            e.preventDefault();
            if (!$('.ajukan_pertanyaan').valid()) {
                return
            }
            Swal.fire({
                title: '',
                text: "${play.i18n.Messages.get('aanwijzing.create.notif')}",
                icon: 'warning',
                showCancelButton: true,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: 'Yes'
            }).then((result) => {
                if (result.value) {
                    $('.ajukan_pertanyaan').submit();
                }else {
                    return
                }
            })
        });
        /* $('.btn_edit_modal').click(function (e) {
            e.preventDefault();
            var id = $(this).attr("id");
            var produk_id = $(this).attr("produk_id");
            var pertanyaan = $(this).attr("pertanyaan");
            var judul_pertanyaan = $(this).attr("judul_pertanyaan");
            $("#editid").val(id);
            $("#editproduk_id").val(produk_id);
            $("#editjudul_pertanyaan").val(judul_pertanyaan);
            $("#editpertanyaan").val(pertanyaan);
            $("#editModal").modal();
        });
        $('.edit_pertanyaan').validate({
            ignore: '.note-editor *',
            ignore: [],
            rules: {
                'editjudul_pertanyaan': 'required',
                'editpertanyaan': 'required'
            },
            messages: {
                'editjudul_pertanyaan': '${play.i18n.Messages.get('judul_pertanyaan_belum_diisi.label')}',
                'editpertanyaan': '${play.i18n.Messages.get('pertanyaan_belum_diisi.label')}'
            },
            errorElement: 'span',
            errorClass: 'help-block',
            focusInvalid: false,
            highlight: function (element) {
                $(element).closest('.form-group').addClass('has-error');
            },
            success: function (label) {
                label.closest('.form-group').removeClass('has-error');
                label.remove();
            },
        });
        $('.btn_edit_pertanyaan').click(function (e) {
            e.preventDefault();
            if (!$('.edit_pertanyaan').valid()) {
                return
            }
            $('.edit_pertanyaan').submit()
        });*/
    });
</script>
#{/set}